DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# PixelTableGetRun

Get the contents of a pixel table run

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableGetRun ( table, run, coordinate, length )

## FUNCTION

This functions get the the coordinate and length parameters of the `run`th run of the pixel table `table`.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable` | `table` | Pixel table
`dip_int` | `run` | The run to be initialised
`dip_IntegerArray` | `coordinate` | Coordinate of the run
`dip_int *` | `length` | Length of the run

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetOrigin`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`